<template>
  <el-select
    v-model="selected"
    v-bind="$attrs"
    :loading="loading"
    filterable
    @change="change"
  >
    <el-option
      v-for="item in options"
      :key="item.id"
      :label="item.erpOrderNo"
      :value="item.id"
    >
      {{ item.erpOrderNo }}
    </el-option>

  </el-select>
</template>

<script>

export default {
  props: {
    value: {
      type: [String, Number, Array],
      default: ''
    },
    options: {
      type: Array,
      default: () => []
    }
  },
  data() {
    return {
      loading: false
      // options: []
    }
  },
  computed: {
    selected: {
      get() {
        return this.value
      },
      set(v) {
        this.$emit('input', v)
      }
    }
  },
  created() {
    // this.fetchOrderList()
  },
  methods: {
    // remoteMethod(orderNo) {
    //   this.loading = true
    //   const params = {
    //     pageNo: 1,
    //     pageSize: 100,
    //     orderNo
    //   }
    //   getDropDownList(params).then(response => {
    //     this.options = response.data || []
    //   }).finally(() => {
    //     this.loading = false
    //   })
    // },
    // fetchOrderList() {
    //   this.loading = true
    //   const params = {
    //     pageNo: 1,
    //     pageSize: 100
    //   }
    //   getDropDownList(params).then(res => {
    //     this.options = res.data || []
    //   }).finally(() => {
    //     this.loading = false
    //   })
    // },
    change(v) {
      const item = this.options.find(i => i.id === v)
      this.$emit('change', item)
    }
  }
}
</script>

  <style>

  </style>

